package com.lovecoding.day11.ex02;

class HelloA{
    public HelloA(){
        System.out.println("1 HelloA");
    }

    {
        System.out.println("2 I'm A Class");
    }

    static{
        System.out.println("3 static A");
    }
}

public class HelloB extends HelloA{
    public HelloB(){
        System.out.println("4 HelloB");
    }

    {
        System.out.println("5 I'm B Class");
    }

    static{
        System.out.println("6 static B");
    }

    public static void main(String[] args) {
        new HelloB();
    }

}